%define	name	SDL_ttf
%define	version	2.0.8
%define	release	%mkrel 2
%define	lib_name_orig	lib%{name}
%define	lib_major	2.0
%define	lib_name	%mklibname %{name} %{lib_major}

Summary:	Simple DirectMedia Layer - Sample TrueType Font Library
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://www.libsdl.org/projects/SDL_ttf/release/%{name}-%{version}.tar.bz2
Patch0:		SDL_ttf-2.0.8-noftinternals.patch.bz2
Patch1:         SDL_ttf-2.0.8-fix-mono-bitmaps-returned-when-nonmono-was-expected.patch.bz2
License:	LGPL
URL:		http://www.libsdl.org/projects/SDL_ttf/
Group:		System/Libraries
BuildRequires:	SDL-devel X11-devel audiofile-devel esound-devel freetype2-devel >= 2.1.7
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This is a sample library which allows you to use TrueType fonts in your SDL
applications. It comes with an example program "showfont" which displays an
example string for a given TrueType font file.

Warning! TrueType font decoding is under patent, and software using this
library may be in violation of this patent. Use at your own risk! See
http://www.freetype.org/ for details.

%package -n	%{lib_name}
Summary:	Main library for %{name}
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Obsoletes:	%{name}

%description -n	%{lib_name}
This package contains the library needed to run programs dynamically
linked with %{name}.

Warning! TrueType font decoding is under patent, and software using this
library may be in violation of this patent. Use at your own risk! See
http://www.freetype.org/ for details.

%package -n	%{lib_name}-devel
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{lib_name} = %{version}
Provides:	%{lib_name_orig}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel

%description -n	%{lib_name}-devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.

Warning! TrueType font decoding is under patent, and software using this
library may be in violation of this patent. Use at your own risk! See
http://www.freetype.org/ for details.

%package -n	%{lib_name}-test
Summary:	Test binary for %{name}
Group:		System/Libraries

%description -n	%{lib_name}-test
This package contains binary to test the associated library.

%prep
%setup -q
%patch0 -p1 -b .noftinternals
%patch1 -p0

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
install -d $RPM_BUILD_ROOT%{_bindir}
install -m755 .libs/{showfont,glfont} $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files -n %{lib_name}-test
%defattr(-,root,root)
%{_bindir}/showfont
%{_bindir}/glfont

%files -n %{lib_name}
%defattr(-,root,root)
%doc README COPYING
%{_libdir}/lib*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc README COPYING CHANGES
%{_libdir}/*a
%{_libdir}/lib*.so
%{_includedir}/SDL/*

%changelog
* Mon Aug 28 2006 Guillaume Cottenceau 2.0.8-2mdk2007.0
- author patch1 to fix a bug when a mono bitmap is returned
  when a non mono was expected (submitted upstream, but a
  debian guy said SDL stuff usually take a long time for
  a new release)

* Tue Jun 06 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.0.8-1mdv2007.0
- 2.0.8
- fix build against new freetype (P0)
- %%mkrel
- cosmetics

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 2.0.7-2mdk
- Rebuild

* Wed Mar 23 2005 Giuseppe Ghibò <ghibo@mandrakesoft.coM> 2.0.7-1mdk
- Release: 2.0.7.

* Wed Mar 23 2005 Giuseppe Ghibò <ghibo@mandrakesoft.com> 2.0.6-5mdk
- Rebuilt.

* Fri Dec 12 2003 Götz Waschk <waschk@linux-mandrake.com> 2.0.6-4mdk
- patch for new freetype API

* Tue Sep  2 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0.6-3mdk
- fix build deps for 64bit platform

* Wed Jul 23 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 2.0.6-2mdk
- use %%mklibname macro
- use %%make macro
- drop Prefix tag
- don't rm -rf $RPM_BUILD_ROOT in %%prep

* Tue Jul  8 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0.6-1mdk
- new version (and have also the new devel provides btw)

* Sat May 31 2003 Austin Acton <aacton@yorku.ca> 2.0.5-5mdk
- rebuild for rpm-4.2

* Sun Jan 05 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.0.5-4mdk
- fixed missing provides

* Mon Jun  3 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0.5-3mdk
- recompile against SDL which isn't dependant upon arts/esd

* Tue May 07 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.5-2mdk
- Automated rebuild in gcc3.1 environment

* Sun Apr 28 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0.5-1mdk
- new version
- rebuild for new alsa version
- user percent-configure

* Mon Jan 11 2002 Giuseppe Ghibò <ghibo@mandrakesoft.com> 2.0.4-1mdk
- updated to release 2.0.4.
- added freetype2-devel in BuildRequires.

* Tue May 29 2001 Stefan van der Eijk <stefan@eijk.nu> 1.2.2-3mdk
- fix BuildRequires

* Fri Mar  9 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.2-2mdk
- fix provides

* Fri Dec  1 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.2-1mdk
- follow new lib policy
- 1.2.2

* Wed Aug 30 2000 Giuseppe Ghibò <ghibo@mandrakesoft.com> 1.2.1-1mdk
- updated to version 1.2.1.
- updated URL.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.2-2mdk
- automatically added BuildRequires

* Fri Jun 23 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-1mdk
- v1.0.2

* Tue Apr 11 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-2mdk
- added url
- fixed group
- some minor package build fixes
- built against stable SDL version, previous was using 1.1.x devel

* Fri Feb 11 2000 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- used specfile provided by Hakan Tandogan <hakan@iconsult.com>

* Sun Jan 16 2000 Hakan Tandogan <hakan@iconsult.com>
- initial spec file
